; Configuration file for Duet WiFi (firmware version 3)
; executed by the firmware on start-up
;
; generated by RepRapFirmware Configuration Tool v3.2.3 on Mon Jun 14 2021 23:56:35 GMT+0200 (czas środkowoeuropejski letni)

; General preferences
G90                                                        ; send absolute coordinates...
M83                                                        ; ...but relative extruder moves
M550 P"CubePro"                                            ; set printer name

; Network
M552 S1                                                    ; enable network
M586 P0 S1                                                 ; enable HTTP
M586 P1 S0                                                 ; disable FTP
M586 P2 S0                                                 ; disable Telnet

; Drives
M569 P0 S1                                                 ; physical drive 0 goes forwards
M569 P1 S1                                                 ; physical drive 1 goes forwards
M569 P2 S0                                                 ; physical drive 2 goes backwards
M569 P3 S1                                                 ; physical drive 3 goes forwards
M584 X0 Y1 Z2 E3                                           ; set drive mapping
M350 X16 Y16 Z16 E16 I1                                    ; configure microstepping with interpolation
M92 X87.64 Y87.64 Z1066.67 E500.00                         ; set steps per mm
M566 X900.00 Y900.00 Z60.00 E120.00                        ; set maximum instantaneous speed changes (mm/min)
M203 X6000.00 Y6000.00 Z180.00 E1200.00                    ; set maximum speeds (mm/min)
M201 X500.00 Y500.00 Z20.00 E250.00                        ; set accelerations (mm/s^2)
M906 X800 Y800 Z800 E800 I30                               ; set motor currents (mA) and motor idle factor in per cent
M84 S30                                                    ; Set idle timeout

; Axis Limits
M208 X0 Y-20 Z0 S1                                         ; set axis minima
M208 X305 Y280 Z200 S0                                     ; set axis maxima

; Endstops
M574 X1 S1 P"!xstop"                                       ; configure active-high endstop for low end on X via pin !xstop
M574 Y2 S1 P"!ystop"                                       ; configure active-high endstop for high end on Y via pin !ystop
M574 Z1 S1 P"!zstop"                                       ; configure active-high endstop for low end on Z via pin !zstop

; Z-Probe
M558 P0 H5 F120 T6000                                      ; disable Z probe but set dive height, probe speed and travel speed
M557 X25:280 Y25:255 S50                                   ; define mesh grid

; Heaters
M140 H-1                                                   ; disable heated bed (overrides default heater mapping)
M308 S0 P"e0temp" Y"thermistor" T176873 B5530 C1.020571e-7 ; configure sensor 0 as thermistor on pin e0temp
M950 H0 C"e0heat" T0                                       ; create nozzle heater output on e0heat and map it to sensor 0
M307 H0 B0 S1.00                                           ; disable bang-bang mode for heater  and set PWM limit
M143 H0 S250                                               ; set temperature limit for heater 0 to 250C
M308 S1 P"e1temp" Y"thermistor" T100000 B3950              ; configure sensor 1 as thermistor on pin e1temp
M950 H1 C"e1heat" T1                                       ; create chamber heater output on e1heat and map it to sensor 1
M307 H1 B1 S1.00                                           ; enable bang-bang mode for the chamber heater and set PWM limit
M141 H1                                                    ; map chamber to heater 1
M143 H1 S70                                                ; set temperature limit for heater 1 to 70C

; Fans
M950 F0 C"fan0" Q500                                       ; create fan 0 on pin fan0 and set its frequency
M106 P0 S0 H1 T45                                          ; set fan 0 value. Thermostatic control is turned on
M950 F1 C"fan1" Q500                                       ; create fan 1 on pin fan1 and set its frequency
M106 P1 S1 H-1                                             ; set fan 1 value. Thermostatic control is turned off

; Tools

; Custom settings are not defined

